Extending Qt Creator Manual | ProjectDocument

Extending Qt Creator Manual 4.5.2

# ProjectDocument Class

(ProjectExplorer::ProjectDocument)

Inherits: | Core::IDocument

- List of all members, including inherited members

## Public Functions

| ProjectDocument(const QString &mimeType, const Utils::FileName &fileName, const ProjectCallback &callback = {})
bool | reload(QString *errorString, Core::IDocument::ReloadFlag flag, Core::IDocument::ChangeType type) final
Core::IDocument::ReloadBehavior | reloadBehavior(Core::IDocument::ChangeTrigger state, Core::IDocument::ChangeType type) const final

- 33 public functions inherited from Core::IDocument

### Additional Inherited Members

- 6 signals inherited from Core::IDocument

## Member Function Documentation

### ProjectDocument::ProjectDocument(const QString &mimeType, const Utils::FileName &fileName, const ProjectCallback &callback = {})

Default constructs an instance of ProjectDocument.

### bool ProjectDocument::reload(QString *errorString, Core::IDocument::ReloadFlag flag, Core::IDocument::ChangeType type)

### Core::IDocument::ReloadBehavior ProjectDocument::reloadBehavior(Core::IDocument::ChangeTrigger state, Core::IDocument::ChangeType type) const